Home

Get Transactions

GET
https://ton.nownodes.io/getTransactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transaction history of a given address.

Parameters

addressstringrequiredquery

Identifier of target TON account in any form.

limitinteger<= 10010query

Maximum number of transactions in response.

ltintegerquery

Logical time of transaction to start with, must be sent with hash.

hashstringquery

Hash of transaction to start with, in base64 or hex encoding , must be sent with lt.

to_ltinteger0query

Logical time of transaction to finish with (to get tx from lt to to_lt).

archivalbooleanfalsequery

By default getTransaction request is processed by any available liteserver. If archival=true only liteservers with full history are used.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error

504Gateway Timeout

Lite Server Timeout